/*	nkfs for Linux
 *	
 *	Copyright (c) 1995, 1999  Caldera Systems, Inc.
 *	
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; see the file COPYING.  If not, write to
 *	the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *	Boston, MA  02111-1307, USA.
 *
 * 	Please submit patches to nkfs@calderasystems.com
 * 	
 * 	To Do: 
 * 	- Clean up reference counting
 * 	
 * 	Log:
 * 	- initial GPL release 1999/08/03 spc Caldera Systems, Inc.
 */
	
#ifdef LINUX1_3_x
#include <linux/modversions.h>
#endif
#include <linux/module.h>
#include <linux/version.h>
#include <linux/kernel.h>
#include <unistd.h>

extern int	init_nkfsd(void);
extern void	cleanup_nkfsd(void);
extern int	init_nkfsfs(void);
extern void	cleanup_nkfsfs(void);

int 
init_module(void)
{
	int	result;

#ifdef DEBUG
	printk("NKFS: in init_module \n");
#endif

	result = init_nkfsd();
	if (result < 0) return result;
	result = init_nkfsfs();
	if (result < 0) cleanup_nkfsd();
	return result;
}

void
cleanup_module(void)
{
#ifdef DEBUG
	printk("NKFS: in cleanup_module \n");
#endif
	cleanup_nkfsd();
	cleanup_nkfsfs();
}

